import { OnDestroy } from '@angular/core';
import { Editor } from '@tiptap/core';
import { TiptapEventService } from '../../../services/tiptap-event.service';
import { TiptapExtensionService } from '../../../services/tiptap-extension.service';
import { ButtonBaseControl } from './base-control';
export declare class ControlLinkComponent extends ButtonBaseControl implements OnDestroy {
    protected eventService: TiptapEventService;
    private extensionService;
    private linkExtension;
    constructor(eventService: TiptapEventService, extensionService: TiptapExtensionService);
    onEditorReady(editor: Editor): void;
    can(): Promise<boolean>;
    openLinkDialog(): Promise<void>;
    protected isActive(): boolean;
}
