import { AfterViewInit, Renderer2 } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import type { Extensions } from '@tiptap/core';
export declare class EditorPreviewComponent implements AfterViewInit {
    private domSanitizer;
    private renderer;
    set content(value: object | string | null);
    extensions: Extensions;
    private contentOutlet;
    private sanitizeHtml;
    private _content;
    constructor(domSanitizer: DomSanitizer, renderer: Renderer2);
    ngAfterViewInit(): void;
    renderOutput(content?: object | string | null): void;
}
