import { AnyExtension } from '@tiptap/core';
import { BaseExtension } from '../extensions/base-extension';
export declare class TiptapExtensionService {
    private _nativeExtensions;
    private _angularExtensions;
    get angularExtensions(): Record<string, BaseExtension<any>>;
    set angularExtensions(value: Record<string, BaseExtension<any>>);
    get nativeExtensions(): Record<string, AnyExtension>;
    set nativeExtensions(value: Record<string, AnyExtension>);
    getExtension<T extends AnyExtension | BaseExtension<any>>(extensionName: string): AnyExtension | BaseExtension<any> | null;
}
