import { DialogRef } from '../dialog/dialog.helpers';
import { ControlLinkComponent } from '../editor-header/controls/control-link.component';
export declare class LinkSelectComponent {
    private dialogRef;
    data: {
        link: string;
        popupText: string;
        inputPlaceholder: string;
    };
    error: string | null;
    private urlRegex;
    constructor(dialogRef: DialogRef<string, string, ControlLinkComponent>, data: {
        link: string;
        popupText: string;
        inputPlaceholder: string;
    });
    submit(value: string, event?: Event): void;
}
